#lang racket/gui

;;; ----------------------------------------------------------------;;;
;;;                     A-IDE v0.2 source code                      ;;;
;;; Author: Antoine Bossard (Kanagawa University, Japan)            ;;;
;;; Licence: MIT licence                                            ;;;
;;; Homepage: https://www.sci.kanagawa-u.ac.jp/info/abossard/a-ide/ ;;;
;;;                    Copyright (c) A. Bossard                     ;;;
;;; ----------------------------------------------------------------;;;

; --- exports ---
(provide line-message%)

; --- body ---
(define line-message%
  (class message%
    (define line-number 1)
    (super-new [label (number->string line-number)] [auto-resize #t])
    
    (define (set-when-needed number)
      (when (not (= line-number number))
        (set! line-number number)
        (send this set-label (number->string line-number))))
    (public set-when-needed)
    
    )
  )
